// Playground - noun: a place where people can play

import Cocoa
import XCPlayground
XCPSetExecutionShouldContinueIndefinitely(true)

let dispatchQueue
= dispatch_get_global_queue(DISPATCH_QUEUE_PRIORITY_BACKGROUND, 0)

dispatch_async(dispatchQueue)
{
    var sum = 0.0;
    for var i = 1 ; i < 1000 ; i++
    {
        sum = sum + Double(i)
    }
    
    let mainQueue
    = dispatch_get_main_queue()
    dispatch_async(mainQueue)
    {
        print("Die Summe ist: \(sum).")
    }
}
